/*
 * Copyright 2004, 2005, 2006 Acegi Technology Pty Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springframework.security.web.authentication.rememberme;

import org.junit.jupiter.api.Test;

import org.springframework.security.web.authentication.NullRememberMeServices;

import static org.assertj.core.api.Assertions.assertThat;

/**
 * Tests {@link org.springframework.security.web.authentication.NullRememberMeServices}.
 *
 * @author Ben Alex
 */
public class NullRememberMeServicesTests {

	@Test
	public void testAlwaysReturnsNull() {
		NullRememberMeServices services = new NullRememberMeServices();
		assertThat(services.autoLogin(null, null)).isNull();
		services.loginFail(null, null);
		services.loginSuccess(null, null, null);
	}

}
